GET
/events/providerGet provider events
Returns provider events (user/admin/folder create, update, delete, etc.) matching the specified filters. Requires the "eventsearcher" plugin to be configured. Supports cursor-based pagination via the from_id parameter
start_timestampintegeroptional
the event timestamp, unix timestamp in nanoseconds, must be greater than or equal to the specified one. 0 or missing means omit this filter
end_timestampintegeroptional
the event timestamp, unix timestamp in nanoseconds, must be less than or equal to the specified one. 0 or missing means omit this filter
actionsarray<string>optional
the event action must be included among those specified. Empty or missing means omit this filter. Actions must be specified comma separated
usernamestringoptional
the event username must be the same as the one specified. Empty or missing means omit this filter
ipstringoptional
the event IP must be the same as the one specified. Empty or missing means omit this filter
object_namestringoptional
the event object name must be the same as the one specified. Empty or missing means omit this filter
object_typesarray<string>optional
the event object type must be included among those specified. Empty or missing means omit this filter. Values must be specified comma separated
instance_idsarray<string>optional
the event instance id must be included among those specified. Empty or missing means omit this filter. Values must be specified comma separated
from_idstringoptional
the event id to start from. This is useful for cursor based pagination. Empty or missing means omit this filter.
rolestringoptional
Admin role. Empty or missing means omit this filter. Ignored if the admin has a role
csv_exportbooleanoptional
If enabled, events are exported as a CSV file
omit_object_databooleanoptional
If enabled, returned events will not contain the `object_data` field
limitintegeroptional
The maximum number of items to return. Max value is 1000, default is 100
orderstringoptional
Ordering events by timestamp. Default DESC
200successful operation
actionstringoptional
idstringoptional
instance_idstringoptional
ipstringoptional
object_datastringoptional
base64 of the JSON serialized object with sensitive fields removed
object_namestringoptional
object_typestringoptional
rolestringoptional
timestampintegeroptional
unix timestamp in nanoseconds
usernamestringoptional
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.